Name:		xedit
Version:	1.2.0
Release:	4%{?dist}
Summary:	Simple text editor for X
Group:		Applications/Editors
URL:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
License:	MIT and BSD
BuildRequires:	desktop-file-utils
BuildRequires:	libXaw-devel
BuildRequires:	xorg-x11-util-macros
Requires:	xorg-x11-xbitmaps
Requires:	aspell
Requires:	aspell-en
Requires:	grep
Requires:	words
Requires:	ctags
Requires:	xorg-x11-fonts-misc
Requires:	xorg-x11-fonts-75dpi
Requires:	xorg-x11-fonts-100dpi
# Submited upstream https://bugs.freedesktop.org/show_bug.cgi?id=50320
Patch0:		0001-Update-fallback-implementation-of-missing-libc-funct.patch
Patch1:		0002-Correct-64-bit-overflow-check-and-bignum-code.patch
Patch2:		0003-Use-proper-pointer-when-computing-realpath-of-a-new-.patch
Patch3:		0004-Avoid-problems-with-builds-with-Werror-format-securi.patch

%description
Xedit provides a simple text editor for X.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure --with-lispdir=%{_datadir}/X11/%{name}

%install
make install DESTDIR=${RPM_BUILD_ROOT} INSTALL="install -p"
install -D -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
desktop-file-validate ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%check
make check

%files
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_datadir}/X11/%{name}
%{_datadir}/X11/app-defaults/Xedit
%{_datadir}/X11/app-defaults/Xedit-color
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/xedit.1*

%changelog
* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat May 26 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 1.2.0-2
- Patch package to not have BSD 4 clause files.
- Write patch to correct 64 bit overflow tests in a compatible license.
- Update extra patches to use the ones submitted upstream.

* Mon May 21 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 1.2.0-1
- Add proper documentation to package.
- Update to latest upstream release.
- Remove patches already in upstream.

* Mon Apr 23 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 1.1.2-1
- Initial xedit spec.
